### Function

# Gio unix_mount_get_root_path

since: 2.60

#### Declaration

    const char*
    g_unix_mount_get_root_path (
      GUnixMountEntry* mount_entry
    )

#### Description

Gets the root of the mount within the filesystem. This is useful e.g. for mounts created by bind operation, or btrfs subvolumes.

For example, the root path is equal to “/” for mount created by “mount /dev/sda1 /mnt/foo” and “/bar” for “mount —bind /mnt/foo/bar /mnt/bar”.

Available since: 2.60

#### Parameters

`mount_entry`

  Type: `GUnixMountEntry`

  A `GUnixMountEntry`.

  The data is owned by the caller of the function.

#### Return value

Type: `const char*`

A string containing the root, or `NULL` if not supported.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.